import request from '@/utils/request'

// 获取档案目录树
export function getArchivalCatalogueTreeApi(params) {
    return request({
        url: '/smartArchives/archive/getArchivalCatalogueTree',
        method: 'get',
        params:params,
    })
}

// 新增档案目录
export function addArchiveLeftApi(data) {
    return request({
        url: '/smartArchives/archive/addLeft',
        method: 'post',
        data:data
    })
}

// 新增档案表格数据
export function addArchiveRightApi(data) {
    return request({
        url: '/smartArchives/archive/addRight',
        method: 'post',
        data:data
    })
}

// 修改档案目录
export function editArchiveLeftApi(data) {
    return request({
        url: '/smartArchives/archive/editLeft',
        method: 'post',
        data:data,
    })
}

// 修改档案目录
export function editArchiveRightApi(data) {
    return request({
        url: '/smartArchives/archive/editRight',
        method: 'post',
        data:data,
    })
}

// 删除档案目录
export function delArchiveApi(data) {
    return request({
        url: '/smartArchives/archive/del',
        method: 'post',
        data:data,
    })
}

// 编辑-详情
export function getArchivalCatalogueByIdApi(params) {
    return request({
        url: '/smartArchives/archive/getArchivalCatalogueById',
        method: 'get',
        params:params
    })
}

// 列表
export function getArchivalCatalogueListApi(params) {
    return request({
        url: '/smartArchives/archive/getArchivalCatalogue',
        method: 'get',
        params:params
    })
}

// 查询序号
export function geMaxSortApi(params) {
    return request({
        url: '/smartArchives/archive/geMaxSort',
        method: 'get',
        params:params
    })
}